## Facebook Graph Client

This module is for interacting with the [facebook graph API](http://developers.facebook.com/docs/api).

### Methods

`require('facebook-graph-client').createClient([access_token])`

Creates a new client. Optionally sets the `access_token` property of the client to the value of `access_token`.

#### Client

`client.post_object(obj, [args], [callback])`

* Obj: String
* Args: Object _(optional)_
* Callback: Function(err, res, json) _(optional)_

`client.delete_object(obj, [args], [callback])`

* Obj: String
* Args: Object _(optional)_
* Callback: Function(err, res, json) _(optional)_

`client.get_object(obj, [args], [callback])`

* Obj: String
* Args: Object _(optional)_
* Callback: Function(err, res, json) _(optional)_

`client.get_objects(objs, [args], [callback])`

* Objs: String[]
* Args: Object _(optional)_
* Callback: Function(err, res, json) _(optional)_

`client.get_connection(obj, connection, [args], [callback])`

* Obj: String
* Connection: String
* Args: Object _(optional)_
* Callback: Function(err, res, json) _(optional)_

`client.post_connection(obj, connection, [args], [callback])`

* Obj: String
* Connection: String
* Args: Object _(optional)_
* Callback: Function(err, res, json) _(optional)_

### License

See LICENSE.md

### Issues

Bug patches and reports are welcome, please create an issue in the [issue tracker](http://github.com/votizen/facebook-graph-client/issues) on github for them.